Subject: bug#19390: 25.0.50; `package-activate' is too slow

From: Artur Malabarba <[email-masked]>
Date: Thu, 18 Dec 2014 00:11:23 -0200

On 17 Dec 2014 23:38, "Stefan Monnier" <[email-masked]> wrote:
>
> > Good point, thanks. Here's the patch without the initial filtering part.
> > Still an improvement over the current code (0.6s vs 2.1s on my machine).
>
> Just a side note: the most important optimization is to make sure that
> the activation of all the installed packages at startup time is done
> without going through this "reload previously loaded files".
>
> IIUC, this is the first optimization that was proposed in this thread,
> and is the main one to install (regardless of the others).  Has it
> been installed?

I agree. And no, IIUC this hasn't been implemented yet. I suggested a
couple of style improvements and haven't heard back.
If nobody has the time to do these improvements right now, then please
apply the originally suggested patch and I'll make the improvements later,
next time I have a few minutes.